Anonymous Login
2018-11-12 21:04 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000170v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:02
Reportercaseydk 
Assigned Tocaseydk 
PriorityhighSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000170: Cache Worked/Scheduled/Project Hours
DescriptionThe "Worked Hours", "Scheduled Hours", and "Project Hours" values for Projects are recalculated each and every time it is displayed. Instead, it should only be recalculated when a Task or Tasklog is created, modified, or deleted.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000143closedcaseydk v1.2 Release (Closed) Project % Complete Calculations 
child of 0000142closedcaseydk Pending Requests System Performance Improvements 
+Relationships

-Notes

~0000582

caseydk (administrator)

Implemented pre-calculation for the hours worked value instead of recalculating on view - r763;

~0000623

caseydk (administrator)

Changed the Worked & Project Hours to automatically be updated when the Tasks or Task Logs are updated.
+Notes

-Issue History
Date Modified Username Field Change
2009-05-31 21:28 caseydk New Issue
2009-05-31 21:28 caseydk Relationship added child of 0000142
2009-05-31 21:28 caseydk Relationship added related to 0000143
2009-06-08 18:41 caseydk Project Pending Requests => v1.1 Release (Closed)
2009-06-14 05:34 caseydk Priority normal => high
2009-06-22 19:34 caseydk Status new => assigned
2009-06-22 19:34 caseydk Assigned To => caseydk
2009-09-08 22:54 caseydk Project v1.1 Release (Closed) => Pending Requests
2009-09-11 14:44 caseydk Project Pending Requests => v1.2 Release (Closed)
2009-11-11 17:36 caseydk Note Added: 0000582
2009-12-06 16:03 caseydk Status assigned => resolved
2009-12-06 16:03 caseydk Resolution open => fixed
2009-12-06 16:03 caseydk Note Added: 0000623
2009-12-08 19:02 caseydk Status resolved => closed
2009-12-08 19:02 caseydk Fixed in Version => 1.2
+Issue History